package com.bonus.canteen.core.customer.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class CustHealthExcelModel implements Serializable {
   @ExcelProperty(
      index = 0,
      value = {"人员信息", "人员编号"}
   )
   private String custNum;
   @ExcelProperty(
      index = 1,
      value = {"人员信息", "人员姓名"}
   )
   private String custName;
   @ExcelProperty(
      index = 2,
      value = {"组织信息", "一级组织"}
   )
   private String firstOrg;
   @ExcelProperty(
      index = 3,
      value = {"组织信息", "二级组织"}
   )
   private String secondOrg;
   @ExcelProperty(
      index = 4,
      value = {"组织信息", "三级组织"}
   )
   private String thirdOrg;
   @ExcelProperty(
      index = 5,
      value = {"组织信息", "四级组织"}
   )
   private String fourthOrg;
   @ExcelProperty(
      index = 6,
      value = {"组织信息", "五级组织"}
   )
   private String fifthOrg;
   @ExcelProperty(
      index = 7,
      value = {"人员信息", "手机号"}
   )
   private String mobile;
   @ExcelProperty(
      index = 8,
      value = {"人员信息", "就诊号"}
   )
   private String doctorNum;
   @ExcelProperty(
      index = 9,
      value = {"健康信息", "身高"}
   )
   private String height;
   @ExcelProperty(
      index = 10,
      value = {"健康信息", "体重"}
   )
   private String weight;
   @ExcelProperty(
      index = 11,
      value = {"人员信息", "出生日期"}
   )
   private String birthday;
   @ExcelProperty(
      index = 12,
      value = {"人员信息", "性别"}
   )
   private Integer sex;
   @ExcelProperty(
      index = 13,
      value = {"健康信息", "劳动强度"}
   )
   private String labourIntensity;

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getFirstOrg() {
      return this.firstOrg;
   }

   public String getSecondOrg() {
      return this.secondOrg;
   }

   public String getThirdOrg() {
      return this.thirdOrg;
   }

   public String getFourthOrg() {
      return this.fourthOrg;
   }

   public String getFifthOrg() {
      return this.fifthOrg;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getDoctorNum() {
      return this.doctorNum;
   }

   public String getHeight() {
      return this.height;
   }

   public String getWeight() {
      return this.weight;
   }

   public String getBirthday() {
      return this.birthday;
   }

   public Integer getSex() {
      return this.sex;
   }

   public String getLabourIntensity() {
      return this.labourIntensity;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setFirstOrg(final String firstOrg) {
      this.firstOrg = firstOrg;
   }

   public void setSecondOrg(final String secondOrg) {
      this.secondOrg = secondOrg;
   }

   public void setThirdOrg(final String thirdOrg) {
      this.thirdOrg = thirdOrg;
   }

   public void setFourthOrg(final String fourthOrg) {
      this.fourthOrg = fourthOrg;
   }

   public void setFifthOrg(final String fifthOrg) {
      this.fifthOrg = fifthOrg;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setDoctorNum(final String doctorNum) {
      this.doctorNum = doctorNum;
   }

   public void setHeight(final String height) {
      this.height = height;
   }

   public void setWeight(final String weight) {
      this.weight = weight;
   }

   public void setBirthday(final String birthday) {
      this.birthday = birthday;
   }

   public void setSex(final Integer sex) {
      this.sex = sex;
   }

   public void setLabourIntensity(final String labourIntensity) {
      this.labourIntensity = labourIntensity;
   }




}
